aboutsummaryrefslogtreecommitdiffstats
path: root/main/giflib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-07-15 15:02:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-07-16 08:25:28 +0000
commitd11182eb4ac642e50742e7791a57be01fafbf73a (patch)
tree08c70d30ee0b69c509d49c9b995cecd7606ce8d4 /main/giflib/APKBUILD
parente247c060faa048c3a0eedafa25c8df3a901baca5 (diff)
downloadaports-d11182eb4ac642e50742e7791a57be01fafbf73a.tar.gz
aports-d11182eb4ac642e50742e7791a57be01fafbf73a.tar.bz2
aports-d11182eb4ac642e50742e7791a57be01fafbf73a.tar.xz
main/giflib: build fix. skip validation of doocbook xml
Diffstat (limited to 'main/giflib/APKBUILD')
-rw-r--r--main/giflib/APKBUILD26
1 files changed, 20 insertions, 6 deletions
diff --git a/main/giflib/APKBUILD b/main/giflib/APKBUILD
index a0fda66f3f..81a5fc73a7 100644
--- a/main/giflib/APKBUILD
+++ b/main/giflib/APKBUILD
@@ -9,10 +9,21 @@ license="MIT"
subpackages="$pkgname-dev $pkgname-doc $pkgname-utils"
depends=
makedepends="libx11-dev libsm-dev util-linux-dev xmlto"
-source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2
+ xmlto-skip-validation.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build () {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure --prefix=/usr || return 1
make || return 1
MAJOR=`echo $pkgver | sed 's/\([0-9]\+\)\..*/\1/'`
@@ -20,7 +31,7 @@ build () {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING \
@@ -37,6 +48,9 @@ utils() {
mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
}
-md5sums="bbd3324af24156d5d7e66ab1cee8508d giflib-4.2.1.tar.bz2"
-sha256sums="3f6c9dea12e41d00e253f7465d714d09248a8bcbed3415c25fd9ce50a1cdded6 giflib-4.2.1.tar.bz2"
-sha512sums="21e0db2db15ce65f27acd4e2b6f9aaf72a95781bbf20150a869a25c1d722d731ae20a396c973d325ae4eba22fa64d19c485382cc202f5ad8e3172482dffb8d73 giflib-4.2.1.tar.bz2"
+md5sums="bbd3324af24156d5d7e66ab1cee8508d giflib-4.2.1.tar.bz2
+e1ae3d46e40a8609231dea3075388d4a xmlto-skip-validation.patch"
+sha256sums="3f6c9dea12e41d00e253f7465d714d09248a8bcbed3415c25fd9ce50a1cdded6 giflib-4.2.1.tar.bz2
+2244e339343d027044732e47bce2b0bdb3e6d9c472963748af4adb2304374022 xmlto-skip-validation.patch"
+sha512sums="21e0db2db15ce65f27acd4e2b6f9aaf72a95781bbf20150a869a25c1d722d731ae20a396c973d325ae4eba22fa64d19c485382cc202f5ad8e3172482dffb8d73 giflib-4.2.1.tar.bz2
+36f92cb092ee9dc463aa1b6b9857d1a1591fa5ed6bf973b02385a979a7178cf2c1f7fc75d6474c2fa90c090e9659178ab8cfe6bb3e147425828a1b5a59ca6f06 xmlto-skip-validation.patch"